Module ij
Package ij.plugin

# Class Compiler

java.lang.Object
ij.plugin.Compiler

All Implemented Interfaces:
  `PlugIn`, `FilenameFilter`

public class Compiler extends Object implements PlugIn, FilenameFilter
Compiles and runs plugins using the javac compiler.

## Constructor Summary

Constructors
Constructor
Description
`Compiler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(File dir, String name)`
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`void`
`showDialog()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Compiler

public Compiler()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### accept

public boolean accept(File dir, String name)

Specified by:
  `accept` in interface `FilenameFilter`

### showDialog

public void showDialog()